<?php

namespace Database\Factories;

use App\Enums\Gender;
use Illuminate\Database\Eloquent\Factories\Factory;

class CustomerFactory extends Factory
{
    public function definition(): array
    {
        return [
            'name' => $this->faker->name(),
            'phone_number' => fake()->randomElement([
                fake()->numerify('0812 #### ###'),
                fake()->numerify('0812 #### ####'),
                fake()->numerify('0812 #### #####'),
            ]),
            'gender' => $this->faker->randomElement(Gender::cases()),
        ];
    }
}
